## frr-5.0.2.tar.gz

=== snapcraft/scripts/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)/bin
	install -D -m 0755 zebra-service $(DESTDIR)/bin/
	install -D -m 0755 bgpd-service $(DESTDIR)/bin/
	install -D -m 0755 ospfd-service $(DESTDIR)/bin/
	install -D -m 0755 ospf6d-service $(DESTDIR)/bin/
	install -D -m 0755 ripd-service $(DESTDIR)/bin/
	install -D -m 0755 ripngd-service $(DESTDIR)/bin/
	install -D -m 0755 isisd-service $(DESTDIR)/bin/
	install -D -m 0755 pimd-service $(DESTDIR)/bin/
	install -D -m 0755 ldpd-service $(DESTDIR)/bin/
	install -D -m 0755 nhrpd-service $(DESTDIR)/bin/
	install -D -m 0755 babeld-service $(DESTDIR)/bin/
	install -D -m 0755 eigrpd-service $(DESTDIR)/bin/
	install -D -m 0755 pbrd-service $(DESTDIR)/bin/
	install -D -m 0755 set-options $(DESTDIR)/bin/
	install -D -m 0755 show_version $(DESTDIR)/bin/

=== debianpkg/backports/ubuntu12.04/debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: Nobody <nobody@frrouting.org>
Uploaders: Nobody <nobody@frrouting.org>
XSBC-Original-Maintainer: <maintainers@frrouting.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, autotools-dev, libpcre3-dev, gawk, chrpath, libsnmp-dev, git, dh-autoreconf, libjson0, libjson0-dev, pkg-config, python (>= 2.7), python-ipaddr, install-info
Standards-Version: 3.9.6
Homepage: http://www.frrouting.org/
XS-Testsuite: autopkgtest

Package: frr
Architecture: any
Depends: ${shlibs:Depends}, logrotate (>= 3.2-11), ${misc:Depends}
Pre-Depends: adduser
Conflicts: zebra, zebra-pj, quagga
Replaces: zebra, zebra-pj
Suggests: snmpd
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon forked from Quagga
 FRR is free software which manages TCP/IP based routing protocols.
 It supports BGP4, BGP4+, OSPFv2, OSPFv3, IS-IS, RIPv1, RIPv2, RIPng,
 PIM and LDP as well as the IPv6 versions of these.
 .
 FRR is a fork of Quagga with an open community model. The main git
 lives on https://github.com/frrouting/frr.git

Package: frr-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, frr (= ${binary:Version})
Priority: extra
Section: debug
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (debug symbols)
 This package provides debugging symbols for all binary packages built 
 from frr source package. It's highly recommended to have this package
 installed before reporting any FRR crashes to either FRR developers or 
 Debian package maintainers.

Package: frr-doc
Section: net
Architecture: all
Depends: ${misc:Depends}
Suggests: frr
Description: documentation files for FRR
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

Package: frr-pythontools
Section: net
Architecture: all
Depends: ${misc:Depends}, frr (= ${binary:Version}), python (>= 2.7), python-ipaddr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (Python Tools)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

=== debianpkg/backports/ubuntu14.04/debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: Nobody <nobody@frrouting.org>
Uploaders: Nobody <nobody@frrouting.org>
XSBC-Original-Maintainer: <maintainers@frrouting.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, autotools-dev, libpcre3-dev, gawk, chrpath, libsnmp-dev, git, dh-autoreconf, libjson-c-dev, libjson-c2, pkg-config, python (>= 2.7), python-ipaddr, install-info
Standards-Version: 3.9.6
Homepage: http://www.frrouting.org/
XS-Testsuite: autopkgtest

Package: frr
Architecture: any
Depends: ${shlibs:Depends}, logrotate (>= 3.2-11), ${misc:Depends}
Pre-Depends: adduser
Conflicts: zebra, zebra-pj, quagga
Replaces: zebra, zebra-pj
Suggests: snmpd
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon forked from Quagga
 FRR is free software which manages TCP/IP based routing protocols.
 It supports BGP4, BGP4+, OSPFv2, OSPFv3, IS-IS, RIPv1, RIPv2, RIPng,
 PIM and LDP as well as the IPv6 versions of these.
 .
 FRR is a fork of Quagga with an open community model. The main git
 lives on https://github.com/frrouting/frr.git

Package: frr-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, frr (= ${binary:Version})
Priority: extra
Section: debug
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (debug symbols)
 This package provides debugging symbols for all binary packages built 
 from frr source package. It's highly recommended to have this package
 installed before reporting any FRR crashes to either FRR developers or 
 Debian package maintainers.

Package: frr-doc
Section: net
Architecture: all
Depends: ${misc:Depends}
Suggests: frr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (documentation)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

Package: frr-pythontools
Section: net
Architecture: all
Depends: ${misc:Depends}, frr (= ${binary:Version}), python (>= 2.7), python-ipaddr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (Python Tools)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

=== debianpkg/backports/ubuntu17.10/debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: Nobody <nobody@frrouting.org>
Uploaders: Nobody <nobody@frrouting.org>
XSBC-Original-Maintainer: <maintainers@frrouting.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, autotools-dev, libpcre3-dev, gawk, chrpath, libsnmp-dev, git, dh-autoreconf, libjson-c-dev, libjson-c2 | libjson-c3, dh-systemd, libsystemd-dev, bison, flex, libc-ares-dev, pkg-config, python (>= 2.7), python-ipaddr, libpython-dev
Standards-Version: 3.9.6
Homepage: http://www.frrouting.org/

Package: frr
Architecture: any
Depends: ${shlibs:Depends}, logrotate (>= 3.2-11), iproute2 | iproute, ${misc:Depends}, libc-ares2
Pre-Depends: adduser
Conflicts: zebra, zebra-pj, quagga
Replaces: zebra, zebra-pj
Suggests: snmpd
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon forked from Quagga
 FRR is free software which manages TCP/IP based routing protocols.
 It supports BGP4, BGP4+, OSPFv2, OSPFv3, IS-IS, RIPv1, RIPv2, RIPng,
 PIM and LDP as well as the IPv6 versions of these.
 .
 FRR is a fork of Quagga with an open community model. The main git
 lives on https://github.com/frrouting/frr.git

Package: frr-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, frr (= ${binary:Version})
Priority: optional
Section: debug
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (debug symbols)
 This package provides debugging symbols for all binary packages built 
 from frr source package. It's highly recommended to have this package
 installed before reporting any FRR crashes to either FRR developers or 
 Debian package maintainers.

Package: frr-doc
Section: net
Architecture: all
Depends: ${misc:Depends}
Suggests: frr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (documentation)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

Package: frr-pythontools
Section: net
Architecture: all
Depends: ${misc:Depends}, frr (= ${binary:Version}), python (>= 2.7), python-ipaddr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (Python Tools)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

=== debianpkg/backports/ubuntu18.04/debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: Nobody <nobody@frrouting.org>
Uploaders: Nobody <nobody@frrouting.org>
XSBC-Original-Maintainer: <maintainers@frrouting.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, libreadline-dev, texlive-latex-base, texlive-generic-recommended, libpam0g-dev | libpam-dev, libcap-dev, texinfo (>= 4.7), imagemagick, ghostscript, groff, autotools-dev, libpcre3-dev, gawk, chrpath, libsnmp-dev, git, dh-autoreconf, libjson-c-dev, libjson-c2 | libjson-c3, dh-systemd, libsystemd-dev, bison, flex, libc-ares-dev, pkg-config, python (>= 2.7), python-ipaddr, python-sphinx, libpython-dev, install-info
Standards-Version: 3.9.6
Homepage: http://www.frrouting.org/

Package: frr
Architecture: any
Depends: ${shlibs:Depends}, logrotate (>= 3.2-11), iproute2 | iproute, ${misc:Depends}, libc-ares2
Pre-Depends: adduser
Conflicts: zebra, zebra-pj, quagga
Replaces: zebra, zebra-pj
Suggests: snmpd
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon forked from Quagga
 FRR is free software which manages TCP/IP based routing protocols.
 It supports BGP4, BGP4+, OSPFv2, OSPFv3, IS-IS, RIPv1, RIPv2, RIPng,
 PIM and LDP as well as the IPv6 versions of these.
 .
 FRR is a fork of Quagga with an open community model. The main git
 lives on https://github.com/frrouting/frr.git

Package: frr-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, frr (= ${binary:Version})
Priority: optional
Section: debug
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (debug symbols)
 This package provides debugging symbols for all binary packages built 
 from frr source package. It's highly recommended to have this package
 installed before reporting any FRR crashes to either FRR developers or 
 Debian package maintainers.

Package: frr-doc
Section: net
Architecture: all
Depends: ${misc:Depends}
Suggests: frr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (documentation)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

Package: frr-pythontools
Section: net
Architecture: all
Depends: ${misc:Depends}, frr (= ${binary:Version}), python (>= 2.7), python-ipaddr
Description: BGP/OSPF/RIP/RIPng/ISIS/PIM/LDP routing daemon (Python Tools)
 This package includes info files for frr, a free software which manages
 TCP/IP based routing protocols.  It supports BGP4, BGP4+, OSPFv2, OSPFv3,
 IS-IS, RIPv1, RIPv2, RIPng, PIM and LDP as well as the IPv6 versions of these.

=== debianpkg/backports/sonic8/debian/rules ===
#!/usr/bin/make -f

# FRRouting Configuration options
######################################
#
#    WANT_xxxx   --> Set to 1 for enable, 0 for disable
# The following are the defaults. They can be overridden by setting a 
# env variable to a different value

WANT_LDP ?= 1
WANT_PIM ?= 0
WANT_OSPFAPI ?= 0
WANT_TCP_ZEBRA ?= 1
WANT_BGP_VNC ?= 1
WANT_CUMULUS_MODE ?= 0
WANT_MULTIPATH ?= 1
WANT_SNMP ?= 0
WANT_RPKI ?= 0

# NOTES:
#
# If you use WANT_RPKI, then there is a new dependency for librtr0 package
#    and a build dependency of the librtr-dev package.
#    While the librtr0 is added to the depenencies automatically, the build
#    dependency can't be changed dynamically and building will fail if the
#    librtr-dev isn't installed during package build
#    Tested versions of both packages can be found at
#    https://ci1.netdef.org/browse/RPKI-RTRLIB/latestSuccessful/artifact
#
# If multipath is enabled (WANT_MULTIPATH=1), then set number of multipaths here
#    Please be aware that 0 is NOT disabled, but treated as unlimited

MULTIPATH ?= 256

# Set the following to the value required (or leave alone for the default below)
# WANT_FRR_USER is used for the username and groupname of the FRR user account

WANT_FRR_USER ?= frr
WANT_FRR_VTY_GROUP ?= frrvty

# Don't build PDF docs by default
GENERATE_PDF ?= 0

#
####################################

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_OPTIONS=-v

ifeq ($(WANT_SNMP), 1)
  USE_SNMP=--enable-snmp
  $(warning "DEBIAN: SNMP enabled, sorry for your inconvenience")
else
  USE_SNMP=--disable-snmp
  $(warning "DEBIAN: SNMP disabled, see README.Debian")
endif

ifeq ($(WANT_LDP), 1)
  USE_LDP=--enable-ldpd
else
  USE_LDP=--disable-ldpd
endif

ifeq ($(WANT_PIM), 1)
  USE_PIM=--enable-pimd
else
  USE_PIM=--disable-pimd
endif

ifeq ($(WANT_OSPFAPI), 1)
  USE_OSPFAPI=--enable-ospfapi=yes
else
  USE_OSPFAPI=--enable-ospfapi=no
endif

ifeq ($(WANT_TCP_ZEBRA),1)
  USE_TCP_ZEBRA=--enable-tcp-zebra
else
  USE_TCP_ZEBRA=--disable-tcp-zebra
endif

ifeq ($(WANT_BGP_VNC), 1)
  USE_BGP_VNC=--enable-bgp-vnc=yes
else
  USE_BGP_VNC=--enable-bgp-vnc=no
endif

USE_FRR_USER=--enable-user=$(WANT_FRR_USER)
USE_FRR_GROUP=--enable-group=$(WANT_FRR_USER)
USE_FRR_VTY_GROUP=--enable-vty-group=$(WANT_FRR_VTY_GROUP)

ifeq ($(WANT_MULTIPATH), 1)
  USE_MULTIPATH=--enable-multipath=$(MULTIPATH)
else
  USE_MULTIPATH=--disable-multipath
endif

ifeq ($(WANT_CUMULUS_MODE), 1)
  USE_CUMULUS=--enable-cumulus=yes
else
  USE_CUMULUS=--enable-cumulus=no
endif

ifeq ($(WANT_RPKI), 1)
  USE_RPKI=--enable-rpki
else
  USE_RPKI=--disable-rpki
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DEBIAN_JOBS := $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifdef DEBIAN_JOBS
MAKEFLAGS += -j$(DEBIAN_JOBS)
endif

%:
	dh $@ --with=systemd,autoreconf --parallel --dbg-package=frr-dbg --list-missing

override_dh_gencontrol:
ifeq ($(WANT_RPKI), 1)
	dh_gencontrol -- -Vdist:Depends="librtr0 (>= 0.5)"
else
	dh_gencontrol
endif

override_dh_auto_configure:
	# Frr needs /proc to check some BSD vs Linux specific stuff.
	# Else it fails with an obscure error message pointing out that
	# IPCTL_FORWARDING is an undefined symbol which is not very helpful.
	@if ! [ -d /proc/1 ]; then \
		echo "./configure needs a mounted /proc"; \
		exit 1; \
	fi

	if ! [ -e config.status ]; then \
	dh_auto_configure -- \
		--enable-exampledir=/usr/share/doc/frr/examples/ \
		--localstatedir=/var/run/frr \
		--sbindir=/usr/lib/frr \
		--sysconfdir=/etc/frr \
		$(USE_SNMP) \
		$(USE_OSPFAPI) \
		$(USE_MULTIPATH) \
		$(USE_LDP) \
		$(USE_TCP_ZEBRA) \
		--enable-fpm \
		$(USE_FRR_USER) $(USE_FRR_GROUP) \
		$(USE_FRR_VTY_GROUP) \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		--enable-werror \
		--with-libpam \
		--enable-systemd=yes \
		--enable-poll=yes \
		$(USE_CUMULUS) \
		$(USE_PIM) \
		--enable-dependency-tracking \
		$(USE_BGP_VNC) \
		$(USE_RPKI) \
		$(shell dpkg-buildflags --export=configure); \
	fi

override_dh_auto_build:
	# doc/ is a bit crazy
ifeq ($(GENERATE_PDF), 1)
	dh_auto_build -- -C doc pdf
endif
	rm -vf doc/user/_build/texinfo/frr.info
	dh_auto_build -- -C doc info

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install

	# installed in frr-pythontools
	rm debian/tmp/usr/lib/frr/frr-reload.py

	# cleaning up the info dir
	rm -f debian/tmp/usr/share/info/dir*

	# install config files
	mkdir -p debian/tmp/etc/frr/
	perl -pi -e 's#^!log file #!log file /var/log/frr/#' debian/tmp/usr/share/doc/frr/examples/*sample*

	# installing the Frr specific SNMP MIB
ifeq ($(WANT_SNMP), 1)
	install -D -m 644 ./zebra/GNOME-PRODUCT-ZEBRA-MIB debian/tmp/usr/share/snmp/mibs/GNOME-PRODUCT-ZEBRA-MIB
else
	mkdir -p debian/tmp/usr/share/snmp/mibs/
endif

	# cleaning .la files
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/*.la
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/frr/modules/*.la

override_dh_systemd_start:
	dh_systemd_start frr.service

override_dh_systemd_enable:
	dh_systemd_enable frr.service

=== debianpkg/backports/ubuntu12.04/debian/rules ===
#!/usr/bin/make -f

# FRRouting Configuration options
######################################
#
#    WANT_xxxx   --> Set to 1 for enable, 0 for disable
# The following are the defaults. They can be overridden by setting a 
# env variable to a different value

WANT_LDP ?= 1
WANT_PIM ?= 1
WANT_OSPFAPI ?= 1
WANT_TCP_ZEBRA ?= 0
WANT_BGP_VNC ?= 1
WANT_CUMULUS_MODE ?= 0
WANT_MULTIPATH ?= 1
WANT_SNMP ?= 0

# NOTES:
#
# If multipath is enabled (WANT_MULTIPATH=1), then set number of multipaths here
#    Please be aware that 0 is NOT disabled, but treated as unlimited

MULTIPATH ?= 256

# Set the following to the value required (or leave alone for the default below)
# WANT_FRR_USER is used for the username and groupname of the FRR user account

WANT_FRR_USER ?= frr
WANT_FRR_VTY_GROUP ?= frrvty

# Don't build PDF docs by default
GENERATE_PDF ?= 0

#
####################################

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_OPTIONS=-v

ifeq ($(WANT_SNMP), 1)
  USE_SNMP=--enable-snmp
  $(warning "DEBIAN: SNMP enabled, sorry for your inconvenience")
else
  USE_SNMP=--disable-snmp
  $(warning "DEBIAN: SNMP disabled, see README.Debian")
endif

ifeq ($(WANT_LDP), 1)
  USE_LDP=--enable-ldpd
else
  USE_LDP=--disable-ldpd
endif

ifeq ($(WANT_PIM), 1)
  USE_PIM=--enable-pimd
else
  USE_PIM=--disable-pimd
endif

ifeq ($(WANT_OSPFAPI), 1)
  USE_OSPFAPI=--enable-ospfapi=yes
else
  USE_OSPFAPI=--enable-ospfapi=no
endif

ifeq ($(WANT_TCP_ZEBRA),1)
  USE_TCP_ZEBRA=--enable-tcp-zebra
else
  USE_TCP_ZEBRA=--disable-tcp-zebra
endif

ifeq ($(WANT_BGP_VNC), 1)
  USE_BGP_VNC=--enable-bgp-vnc=yes
else
  USE_BGP_VNC=--enable-bgp-vnc=no
endif

USE_FRR_USER=--enable-user=$(WANT_FRR_USER)
USE_FRR_GROUP=--enable-group=$(WANT_FRR_USER)
USE_FRR_VTY_GROUP=--enable-vty-group=$(WANT_FRR_VTY_GROUP)

ifeq ($(WANT_MULTIPATH), 1)
  USE_MULTIPATH=--enable-multipath=$(MULTIPATH)
else
  USE_MULTIPATH=--disable-multipath
endif

ifeq ($(WANT_CUMULUS_MODE), 1)
  USE_CUMULUS=--enable-cumulus=yes
else
  USE_CUMULUS=--enable-cumulus=no
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DEBIAN_JOBS := $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifdef DEBIAN_JOBS
MAKEFLAGS += -j$(DEBIAN_JOBS)
endif

%:
	dh $@ --with=autoreconf --parallel --dbg-package=frr-dbg --list-missing

override_dh_auto_configure:
	# Frr needs /proc to check some BSD vs Linux specific stuff.
	# Else it fails with an obscure error message pointing out that
	# IPCTL_FORWARDING is an undefined symbol which is not very helpful.
	@if ! [ -d /proc/1 ]; then \
		echo "./configure needs a mounted /proc"; \
		exit 1; \
	fi

	if ! [ -e config.status ]; then \
	dh_auto_configure -- \
		--enable-exampledir=/usr/share/doc/frr/examples/ \
		--localstatedir=/var/run/frr \
		--sbindir=/usr/lib/frr \
		--sysconfdir=/etc/frr \
		$(USE_SNMP) \
		$(USE_OSPFAPI) \
		$(USE_MULTIPATH) \
		$(USE_LDP) \
		$(USE_TCP_ZEBRA) \
		--enable-fpm \
		$(USE_FRR_USER) $(USE_FRR_GROUP) \
		$(USE_FRR_VTY_GROUP) \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		--with-libpam \
		--enable-systemd=no \
		--enable-poll=yes \
		$(USE_CUMULUS) \
		$(USE_PIM) \
		--enable-dependency-tracking \
		$(USE_BGP_VNC) \
		$(shell dpkg-buildflags --export=configure); \
	fi

override_dh_auto_build:
ifeq ($(GENERATE_PDF), 1)
	dh_auto_build -- -C doc pdf
endif
	rm -vf doc/user/_build/texinfo/frr.info
	dh_auto_build -- -C doc info

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install

	# installed in frr-pythontools
	rm debian/tmp/usr/lib/frr/frr-reload.py

	# cleaning up the info dir
	rm -f debian/tmp/usr/share/info/dir*

	# install config files
	mkdir -p debian/tmp/etc/frr/
	perl -pi -e 's#^!log file #!log file /var/log/frr/#' debian/tmp/usr/share/doc/frr/examples/*sample*

	# installing the Frr specific SNMP MIB
ifeq ($(WANT_SNMP), 1)
	install -D -m 644 ./zebra/GNOME-PRODUCT-ZEBRA-MIB debian/tmp/usr/share/snmp/mibs/GNOME-PRODUCT-ZEBRA-MIB
else
	mkdir -p debian/tmp/usr/share/snmp/mibs
endif

	# cleaning .la files
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/*.la
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/frr/modules/*.la

=== debianpkg/backports/ubuntu14.04/debian/rules ===
#!/usr/bin/make -f

# FRRouting Configuration options
######################################
#
#    WANT_xxxx   --> Set to 1 for enable, 0 for disable
# The following are the defaults. They can be overridden by setting a 
# env variable to a different value

WANT_LDP ?= 1
WANT_PIM ?= 1
WANT_OSPFAPI ?= 1
WANT_TCP_ZEBRA ?= 0
WANT_BGP_VNC ?= 1
WANT_CUMULUS_MODE ?= 0
WANT_MULTIPATH ?= 1
WANT_SNMP ?= 0
WANT_RPKI ?= 0

# NOTES:
#
# If you use WANT_RPKI, then there is a new dependency for librtr0 package
#    and a build dependency of the librtr-dev package.
#    While the librtr0 is added to the depenencies automatically, the build
#    dependency can't be changed dynamically and building will fail if the
#    librtr-dev isn't installed during package build
#    Tested versions of both packages can be found at
#    https://ci1.netdef.org/browse/RPKI-RTRLIB/latestSuccessful/artifact
#
# If multipath is enabled (WANT_MULTIPATH=1), then set number of multipaths here
#    Please be aware that 0 is NOT disabled, but treated as unlimited

MULTIPATH ?= 256

# Set the following to the value required (or leave alone for the default below)
# WANT_FRR_USER is used for the username and groupname of the FRR user account

WANT_FRR_USER ?= frr
WANT_FRR_VTY_GROUP ?= frrvty

# Don't build PDF docs by default
GENERATE_PDF ?= 0

#
####################################

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_OPTIONS=-v

ifeq ($(WANT_SNMP), 1)
  USE_SNMP=--enable-snmp
  $(warning "DEBIAN: SNMP enabled, sorry for your inconvenience")
else
  USE_SNMP=--disable-snmp
  $(warning "DEBIAN: SNMP disabled, see README.Debian")
endif

ifeq ($(WANT_LDP), 1)
  USE_LDP=--enable-ldpd
else
  USE_LDP=--disable-ldpd
endif

ifeq ($(WANT_PIM), 1)
  USE_PIM=--enable-pimd
else
  USE_PIM=--disable-pimd
endif

ifeq ($(WANT_OSPFAPI), 1)
  USE_OSPFAPI=--enable-ospfapi=yes
else
  USE_OSPFAPI=--enable-ospfapi=no
endif

ifeq ($(WANT_TCP_ZEBRA),1)
  USE_TCP_ZEBRA=--enable-tcp-zebra
else
  USE_TCP_ZEBRA=--disable-tcp-zebra
endif

ifeq ($(WANT_BGP_VNC), 1)
  USE_BGP_VNC=--enable-bgp-vnc=yes
else
  USE_BGP_VNC=--enable-bgp-vnc=no
endif

USE_FRR_USER=--enable-user=$(WANT_FRR_USER)
USE_FRR_GROUP=--enable-group=$(WANT_FRR_USER)
USE_FRR_VTY_GROUP=--enable-vty-group=$(WANT_FRR_VTY_GROUP)

ifeq ($(WANT_MULTIPATH), 1)
  USE_MULTIPATH=--enable-multipath=$(MULTIPATH)
else
  USE_MULTIPATH=--disable-multipath
endif

ifeq ($(WANT_CUMULUS_MODE), 1)
  USE_CUMULUS=--enable-cumulus=yes
else
  USE_CUMULUS=--enable-cumulus=no
endif

ifeq ($(WANT_RPKI), 1)
  USE_RPKI=--enable-rpki
else
  USE_RPKI=--disable-rpki
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DEBIAN_JOBS := $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifdef DEBIAN_JOBS
MAKEFLAGS += -j$(DEBIAN_JOBS)
endif

%:
	dh $@ --with=autoreconf --parallel --dbg-package=frr-dbg --list-missing

override_dh_gencontrol:
ifeq ($(WANT_RPKI), 1)
	dh_gencontrol -- -Vdist:Depends="librtr0 (>= 0.5)"
else
	dh_gencontrol
endif

override_dh_auto_configure:
	# Frr needs /proc to check some BSD vs Linux specific stuff.
	# Else it fails with an obscure error message pointing out that
	# IPCTL_FORWARDING is an undefined symbol which is not very helpful.
	@if ! [ -d /proc/1 ]; then \
		echo "./configure needs a mounted /proc"; \
		exit 1; \
	fi

	if ! [ -e config.status ]; then \
	dh_auto_configure -- \
		--enable-exampledir=/usr/share/doc/frr/examples/ \
		--localstatedir=/var/run/frr \
		--sbindir=/usr/lib/frr \
		--sysconfdir=/etc/frr \
		$(USE_SNMP) \
		$(USE_OSPFAPI) \
		$(USE_MULTIPATH) \
		$(USE_LDP) \
		$(USE_TCP_ZEBRA) \
		--enable-fpm \
		$(USE_FRR_USER) $(USE_FRR_GROUP) \
		$(USE_FRR_VTY_GROUP) \
		--enable-configfile-mask=0640 \
		--enable-logfile-mask=0640 \
		--with-libpam \
		--enable-systemd=no \
		--enable-poll=yes \
		$(USE_CUMULUS) \
		$(USE_PIM) \
		--enable-dependency-tracking \
		$(USE_BGP_VNC) \
		$(USE_RPKI) \
		$(shell dpkg-buildflags --export=configure); \
	fi

override_dh_auto_build:
	#dh_auto_build
	$(MAKE)

	# doc/ is a bit crazy
ifeq ($(GENERATE_PDF), 1)
	dh_auto_build -- -C doc pdf
endif
	rm -vf doc/_build/texinfo/frr.info
	dh_auto_build -- -C doc info

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install

	# installed in frr-pythontools
	rm debian/tmp/usr/lib/frr/frr-reload.py

	# cleaning up the info dir
	rm -f debian/tmp/usr/share/info/dir*

	# install config files
	mkdir -p debian/tmp/etc/frr/
	perl -pi -e 's#^!log file #!log file /var/log/frr/#' debian/tmp/usr/share/doc/frr/examples/*sample*

	# installing the Frr specific SNMP MIB
ifeq ($(WANT_SNMP), 1)
	install -D -m 644 ./zebra/GNOME-PRODUCT-ZEBRA-MIB debian/tmp/usr/share/snmp/mibs/GNOME-PRODUCT-ZEBRA-MIB
else
	mkdir -p debian/tmp/usr/share/snmp/mibs/
endif

	# cleaning .la files
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/*.la
	sed -i "/dependency_libs/ s/'.*'/''/" debian/tmp/usr/lib/frr/modules/*.la

override_dh_systemd_start:
	dh_systemd_start frr.service

override_dh_systemd_enable:
	dh_systemd_enable frr.service
